Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.linker
Class SymbolData.ClassIdentComparator

    java.lang.Object
      com.google.gwt.core.ext.linker.SymbolData.ClassIdentComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<SymbolData>

Enclosing interface:
  SymbolData

    public static class SymbolData.ClassIdentComparator

extends java.lang.Object
implements java.util.Comparator<SymbolData>, java.io.Serializable

A Comparator for use when presenting the data to humans. This Comparator orders SymbolData objects by their class names or JSNI idents.

See Also:
  Serialized Form

Constructor Summary
`SymbolData.ClassIdentComparator()`

Method Summary
`int` | `compare(SymbolData o1, SymbolData o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SymbolData.ClassIdentComparator

    public SymbolData.ClassIdentComparator()

Method Detail

### compare

    public int compare(SymbolData o1,
                       SymbolData o2)

  Specified by:
    `compare` in interface `java.util.Comparator<SymbolData>`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD